Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.tool
Class ComputeHttpmdCodebase

    java.lang.Object
      com.sun.jini.tool.ComputeHttpmdCodebase

public class ComputeHttpmdCodebase
extends Object

Computes the message digests for a codebase with HTTPMD URLs. This utility is run from the command line.

An example command line usage is:

>      java -cp install_dir/lib/tools.jar
>           com.sun.jini.tool.ComputeHttpmdCodebase
>           install_dir/lib
>           "httpmd://your_host:http_port/sdm-dl.jar;md5=0"

where install_dir is the directory where the starter kit is installed, your_host is the host where the HTTP server for the `sdm-dl.jar` JAR file will be running, and http_port is the port for that server. This command prints out the download codebase for use by a client that uses the `ServiceDiscoveryManager`, using an HTTPMD URL to guarantee integrity for the classes in the `sdm-dl.jar` JAR file.

Since:
  2.0

Method Summary
`static void` | `main(String[] args)` Computes the message digests for a codebase made up of HTTPMD URLs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  Computes the message digests for a codebase made up of HTTPMD URLs. The command line arguments are:

       source-directory url...

  The first argument is the name of the directory containing the source files for the URLs. The remaining arguments specify the HTTPMD URLs that make up the codebase. The digest values specified in the URLs will be ignored (zeroes are typically used). The path portion of each URL, without the message digest parameters, names a source file relative to the source directory; the message digest for that source file is computed and replaces the digest value in the URL. The resulting URLs are printed, separated by spaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved